#!/usr/bin/ruby

require 'rubygems'
require 'uzuuzu'
require __DIR__('../app')

app = UzuUzu::app
app = Rack::ShowStatus.new(app)
app = Rack::ConditionalGet.new(app)
app = Rack::ETag.new(app)
app = Rack::Head.new(app)

Rack::Handler::FastCGI.run app do |server|
  [:INT, :TERM].each do |signal|
    trap(signal) do
      if server.respond_to?(:stop!)
        server.stop!
      elsif server.respond_to?(:stop)
        server.stop
      end
    end
  end
end
