# coding: utf-8
$LOAD_PATH.unshift(File.expand_path(File.dirname(__FILE__)))
require 'rubygems'
require 'uzuuzu'
require __DIR__('app')

app = UzuUzu.app
app = Rack::Lint.new(app)
app = Rack::ShowExceptions.new(app)
app = Rack::ShowStatus.new(app)
app = Rack::ConditionalGet.new(app)
app = Rack::ETag.new(app)
app = Rack::Head.new(app)
app = Rack::Reloader.new(app)

Rack::Handler::WEBrick.run app, :Port => 9292 do |server|
  [:INT, :TERM].each do |signal| 
    trap(signal) do 
      if server.respond_to?(:stop!)
        server.stop!
      elsif server.respond_to?(:stop)
        server.stop
      end
    end
  end
end
